WebUtils.HTMLForException | index /usr/local/share/webware/WebUtils/HTMLForException.py

Modules

``

os re | sys traceback | urllib |

Functions

``

HTMLForException(excInfo=None, options=None)
  `Get HTML for displaying an exception.
  Returns an HTML string that presents useful information to the developer
  about the exception. The first argument is a tuple such as returned by
  sys.exc_info() which is in fact, invoked if the tuple isn't provided.`

Data
`` |  | HTMLForExceptionOptions = {'default': 'color:#000000', 'editlink': None, 'row.code': 'color:#990000', 'row.location': 'color:#000099', 'table': 'background-color:#F0F0F0'} fileRE = <_sre.SRE_Pattern object>